@import "../../../../assets/styles/main.scss";

.SettingAccountInfoSection {
  .heading {
    padding-bottom: 24px;
    h1 {
      font-size: 30px;
      line-height: 32px;
      letter-spacing: 0.2px;
      text-transform: capitalize;
      @include inter700;
    }
  }
  .AccountInfoMainFiled {
    display: flex;
    flex-flow: column;
    gap: 20px;
    .signupForm {
      display: flex;
      flex-direction: column;
      gap: 20px;
      label {
        width: 100%;
        @include inter700;
        font-size: 16px;
        line-height: 32px;
        letter-spacing: 0.2px;
        color: #000;
        @include lg {
          font-size: 18px;
        }
      }
      .formInput {
        position: relative;

        input {
          width: 100%;
          height: 50px;
          padding: 15px 15px 15px 55px;
          border-radius: 50px;
          border: 1px solid #eef1f5;
          background: getColorHex("white");
          @include inter400;
          color: getColorHex("black");
          font-size: 16px;
          line-height: 20px;

          &::placeholder {
            color: getColorHex("black");
            @include inter600;
            font-size: 16px;
            line-height: 20px;
          }
          &:focus {
            border-color: getColorHex("orange") !important;
            box-shadow: unset !important;
          }
        }

        .passwoed_input {
          padding: 15px 52px 15px 64px;
        }

        input::-webkit-outer-spin-button,
        input::-webkit-inner-spin-button {
          -webkit-appearance: none;
          margin: 0;
        }
        input[type="number"] {
          -moz-appearance: textfield;
        }
        .inputTextIcon {
          position: absolute;
          top: 50%;
          left: 4%;
          width: 30px;
          height: 30px;
          transform: translate(-50%, -50%);

          img {
            height: 100%;
            width: 100%;
          }
          @include lg {
            left: 8%;
          }
        }
        .paaswordHideShow {
          position: absolute;
          top: 68%;
          right: 2%;
          width: 25px;
          height: 25px;
          transform: translate(-50%, -50%);
          cursor: pointer;
          &:hover {
            cursor: pointer;
          }
        }
      }
      .updateInfo{
        button {
          display: flex;
          gap: 10px;
          justify-content: center;
          align-items: center;
          color: #fff;
          background-color: getColorHex("orange");
          border: unset;
          border-radius: 35px;
          background: linear-gradient(92deg, #f47500 4.71%, #e47f28 93.98%);
          height: 44px;
          width: 164px;
          padding: 10px 30px;
          transition: 0.3s;
          @include inter700;
          border: none;
  
          &:disabled {
            opacity: 0.5;
          }
          img {
            width: 24px;
            height: 24px;
          }
          .arrowBack {
            display: block;
          }
          .arrowBackOrange {
            display: none;
          }
          &:hover:not(:disabled) {
            // Add :not(:disabled) to ensure hover effect doesn't apply when button is disabled
            background: getColorHex("white");
            border: 1px solid getColorHex("orange");
            @include transition-3s;
            p {
              color: getColorHex("orange");
            }
            .arrowBack {
              display: none;
            }
            .arrowBackOrange {
              display: block;
            }
          }
          &:disabled {
            background-color: #ccc; // Disabled background color
            cursor: not-allowed; // Change cursor to indicate button is disabled
          }
          p {
            font-size: 20px;
            color: white;
            @include inter700;
            text-transform: capitalize;
            @include lg {
              font-size: 18px;
            }
          }
        }
      }
    }
  }
}
